"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.alwaysFail = void 0;
/* eslint-disable no-console */
const hatchet_client_1 = require("../hatchet-client");
// ❓ On Failure Task
exports.alwaysFail = hatchet_client_1.hatchet.task({
    name: 'always-fail',
    // the onFailure function is called when the task fails
    // note: not guaranteed to be called on the same worker
    onFailure: (input, ctx) => {
        console.log('onFailure for run:', ctx.workflowRunId());
        return {
            'on-failure': 'success',
        };
    },
    fn: () => __awaiter(void 0, void 0, void 0, function* () {
        throw new Error('intentional failure');
    }),
});
// !!
